import javax.swing.*;        // java swing sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir
import BasicWindowMonitor;

public class renkSeciciSWA_2000 extends JApplet implements ActionListener
{
    // Renk secme ornegi
    JButton renkdegistir;
    Color r=Color.lightGray;
    Container c;
    // pencereyi baslatma metodu
    public void init()
    {
    c=getContentPane();
    c.setLayout(new FlowLayout())  ;
    renkdegistir=new JButton("renk değiştirmek için düğmeye basınız");
    renkdegistir.addActionListener(this);
    c.add(renkdegistir);
    }
    // girdi alanindaki olan olaylari dinleme metodu
    public void actionPerformed(ActionEvent e)
    {
    r=JColorChooser.showDialog(this,"Renk seçiniz :",r);
    if(r==null)
      r=renk.acikgri;
    c.setBackground(r);
    repaint();
    }
}
